Bug 869014 - Bug in Administration and Configuration Guide
Bug in Administration and Configuration Guide
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Admin_and_Config_Guide (Show other bugs)
5.1.2
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Russell Dickenson
Scott Mumford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 14:53 EDT by Joshua Wilson
Modified: 2014-05-15 00:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 00:41:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wilson 2012-10-22 14:53:40 EDT
Description of problem: Typos - Use of AS or Application Server when EAP or Enterprise Application Platform should be used. 


Version-Release number of selected component (if applicable):


How reproducible:  


Steps to Reproduce: 

In the Admin and Config guide at the following locations:

1.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/JBoss_Enterprise_Application_Platform_5_Architecture.html 
     a.	The image has AS in the title.
     b.	“The following diagram illustrates an overview of the JBoss Enterprise Application Server and its components.”
     c.	The first block of code has “-jboss-as - the path to your JBoss Enterprise Application Server.”
2.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/EJB3_Services.html#EJB3_Services-Session_Beans 
     a.	End of 3rd paragraph “In JBoss AS, the default local JNDI name”
     b.	In the 1st bullet “JNDI in JBoss AS means that the JNDI”
3.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/EJB3_Services-Entity_Beans.html#id583849 
     a.	End of 2nd paragraph “how to setup alternative databases for JBoss AS.”
4.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/ch04s02s03.html 
     a.	In 1st paragraph 
          i.	“file, JBoss AS will provide a reasonable”
          ii.	“in JBoss AS 4.2. Notice the options”
5.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/EJB3_Services-Package_and_Deploy_EJB3_Services.html 
     a.	In 1st and only paragraph “standalone services in JBoss AS or as part of”
6.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/EJB3_Services-Package_and_Deploy_EJB3_Services.html#id507050 
     a.	End of 2nd paragraph “files shipped with the JBoss AS are already listed” 
7.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/ch04s04s02.html
     a.	In 2nd paragraph “Notice that in JBoss AS, unlike in”
     b.	In 3rd paragraph “The JAR file location defaults to lib in JBoss AS -- but it”
8.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/Deployment.html#Deployable_Application_Types 
     a.	In NOTE labeled Persistence Units in EAR Deployment, at the end of the 2nd paragraph “under the respective JBoss AS server profile”
9.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/running-as-sun-jdk.html
     a.	In 1st bullet “By default, JBoss Application Server will not do load-time”
10.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/lrco-overview.html 
     a.	This one is a maybe depending on the meaning the author was trying to convey. It is in the 2nd paragraph “legacy version of JBoss Application Server.”
11.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/jgroups.chapt.html#id679382 
     a.	In 1st bullet “exposed via tools like the AS's JMX console”
     b.	In the NOTE “JBoss Application Server 3.x and 4.x”
     c.	In the NOTE “in JBoss Application Server 5 and later”
12.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/jgroups.chapt.html#jgroups-transport 
     a.	Under 27.1.2.1, below code example, in 2nd bullet
          i.	“The standard protocol stack configurations in JBoss AS use the value”
          ii.	“Using the -u command line switch when starting JBoss Application Server sets that value.”
13.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/jgroups.chapt.html#jgroups-fd 
     a.	Under 27.1.4.1 FD, in the 3rd bullet “This is default behavior for JBoss Application Server” 
     b.	Under 27.1.4.4. FD versus FD_SOCK, in the last paragraph “JGroups configurations included with JBoss Application Server”
14.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/jgroups-other.html#id525443 
     a.	In the 2nd paragraph “If JBoss Application Server is started with”
15.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/clustering-jgroups-isolation.html 
     a.	In the 1st paragraph “Within JBoss Application Server, there are a number”
16.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/clustering-jgroups-isolation.html 
     a.	The title of the following sub section “27.6.2.1. Isolating sets of Application Server instances from each other”
17.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/ch27s06s02s02.html 
     a.	The title of the following sub section “27.6.2.2. Isolating Channels for Different Services on the Same Set of AS Instances” 
     b.	Under 27.6.2.2, in the 2nd paragraph “The configurations that ship with JBoss Application Server ensure that this”
     c.	Under 27.6.2.2, in the 3rd paragraph 
          i.	“In releases prior to JBoss Application Server 5, different”
          ii.	“transport introduced in JBoss AS 5”
18.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/ch27s06s02s02s02.html 
     a.	In the 1st line “JGroups channels opened by all standard AS services”
     b.	In the 2nd line “protocol stack configurations in JBoss AS:”
19.	https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/clustering-jgroups-isolation-mcast_port.html 
     a.	In the 1st paragraph “By default, a JBoss AS instance running”
     b.	In the 3rd paragraph 
          i.	“configurations that the standard JBoss AS distribution doesn't”
          ii.	“So, if you reconfigure some AS service to use one”

 
  
Actual results:


Expected results:


Additional info:
Comment 1 Petr Penicka 2012-10-24 10:48:38 EDT
1. The whole chapter has been rewritten, while the mentioned points have been fixed during the rewrite.

2. Already fixed out of the scope of this BZ.

3. Already fixed out of the scope of this BZ.

4. TODO: get SME info on removed 5.2.3

5. Already fixed out of the scope of this BZ.

6. Already fixed out of the scope of this BZ.

7. Already fixed out of the scope of this BZ.

8. Fixed.

9. Fixed.

10. Kept the original version as this general statement should also cover migration from community AS.

11. 
a) Edited to "like the JMX Console". Within the context of this guide, it's redundant to say that it belongs to the AS.
b), c) Fixed.

12. Fixed.

13. Fixed.

14. Fixed.

15. Fixed.

16. Fixed.

17. Fixed.

18. Fixed.

19. Already fixed out of the scope of this BZ.
Comment 3 Petr Penicka 2012-10-25 10:49:41 EDT
4. Fixed with up to date information and included in the book. Changes have been committed to SVN and staged.
Comment 4 Scott Mumford 2012-12-04 23:22:03 EST
Verified in peer review.

Note You need to log in before you can comment on or make changes to this bug.